#32/64
%define name      ssvnc-viewer
%define source    ssvnc-1.0.29

Summary:          TightVNC viewer enhanced by Karl Runge
Name:             %{name}
Version:          1.0.29
Release:          %mkrel 2
Packager:         Agent Smith <ruidobranco@yahoo.com.br>
License:          GPLv2+
Group:            Networking/Remote access
URL:              http://www.karlrunge.com/x11vnc/ssvnc.html
Source:           %{source}.src.tar.xz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:    %{_lib}x11-devel, %{_lib}xaw-devel, %{_lib}xmu-devel
BuildRequires:    %{_lib}openssl-devel
BuildRequires:    %{_lib}jpeg-devel, zlib1-devel, imake
Requires(post):   desktop-file-utils
Requires(postun): desktop-file-utils
Obsoletes:        vncviewer-enhanced

%description
Virtual Network Computing (VNC) is a remote display system which
allows you to view a computing 'desktop' environment not only on the
machine where it is running, but from anywhere on the Internet and
from a wide variety of machine architectures.

The Enhanced TightVNC Viewer package started as a project to add some patches
to the long neglected Unix TightVNC Viewer.

%prep
%setup -q -n %{source}

%build
%{__make} config JSRC=""
%{__make} all JSRC=""

%install
%{__rm} -rf %{buildroot}
%{__install} -d -m0755 %{buildroot}%{_bindir} %{buildroot}%{_mandir}/man1/
%{__cp} -r man/man1 %{buildroot}%{_mandir}
%{__install} -d -m0755 %{buildroot}%{_datadir}/applications/
cd vnc_unixsrc/vncviewer
%{__cp} vncviewer %{buildroot}%{_bindir}/%{name}
%{__cat} <<EOF >%{name}.desktop
[Desktop Entry]
Name=SSVNC Viewer
Comment=Connect to remote desktop using VNC
Icon=computer
Exec=%{name}
Terminal=false
Type=Application
Categories=GTK;GNOME;X-GNOME-NetworkSettings;Network;X-MandrivaLinux-Internet-RemoteAccess;RemoteAccess;
EOF
%{__cp} %{name}.desktop %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{vendor} --delete-original \
  --dir %{buildroot}%{_datadir}/applications \
  --add-category X-MandrivaLinux-Internet-RemoteAccess \
  %{buildroot}%{_datadir}/applications/%{name}.desktop

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%post
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :

%postun
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :

%files
%defattr(-, root, root, 0755)
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%doc README COPYING
%{_mandir}/man1/*

%changelog
* Sun Apr 15 2018 bb2 <bb2> - 1.0.29-2pclos2018
- fix rpm group for synaptic

* Tue Mar 14 2017 Agent Smith <ruidobranco@yahoo.com.br> - 1.0.29-1pclos2017
- Created package for PCLOS 64 bits.

